> ## Documentation Index
> Fetch the complete documentation index at: https://developers.acorianacorretora.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate



## OpenAPI

````yaml POST /auth/token
openapi: 3.0.1
info:
  title: Açoriana - FX as a Service
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  version: beta
servers:
  - url: https://fxaas-dev.acorianacorretora.com.br
security: []
paths:
  /auth/token:
    post:
      tags:
        - Auth
      summary: Generate a new token using HTTP Basic Authentication
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: acoriana_09283012jd01930129u
          description: Your API Key
      responses:
        '200':
          description: Token generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: Generated authentication token
        '400':
          description: Invalid credentials or missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - message
      type: object
      properties:
        message:
          description: message of the error
          type: string

````